<?php
$tab1=array(0,1,2,3,4);
$tab2=array(-10=>-1,-9=>0,-7=>1,2,3,4,5,6,7,8);
$tab3=array('0','1','2','3','4');

echo "--- tab1 ---".PHP_EOL;
print_r($tab1);
echo "--- tab2 ---".PHP_EOL;
print_r($tab2);
echo "--- tab3 ---".PHP_EOL;
print_r($tab3);

$tabunion=$tab1+$tab2;
echo "--- tabunion : tab1 + tab2---".PHP_EOL;
print_r($tabunion);

echo "--- egalité : tab1 == tab3---".PHP_EOL;
if ($tab1 == $tab3)
 echo "tab1 et tab3 sont égaux".PHP_EOL;
else
 echo "tab1 et tab3 ne sont pas égaux".PHP_EOL;

echo "--- identiques : tab1 === tab3---".PHP_EOL;
if ($tab1 === $tab3)
 echo "tab1 et tab3 sont identiques".PHP_EOL;
else
 echo "tab1 et tab3 ne sont pas identiques".PHP_EOL;

echo "--- différents : tab1 != tab3---".PHP_EOL;
if ($tab1 != $tab3)
 echo "tab1 et tab3 sont différents".PHP_EOL;
else
 echo "tab1 et tab3 ne sont pas différents".PHP_EOL;

echo "--- différents : tab1 <> tab3---".PHP_EOL;
if ($tab1 <> $tab3)
 echo "tab1 et tab3 sont différents (<>)".PHP_EOL;
else
 echo "tab1 et tab3 ne sont pas différents (<>)".PHP_EOL;

echo "--- non identiques : tab1 !== tab3---".PHP_EOL;
if ($tab1 !== $tab3)
 echo "tab1 et tab3 sont non identiques".PHP_EOL;
else
 echo "tab1 et tab3 ne sont pas non identiques".PHP_EOL;
?>
